/**
 * ONLOAD script function
 * This function will be invoked by the loader
 */
 function onloadAppSettingsJs()   {

    commonToolsShowElemId("row-device.device.alias");
    commonToolsShowElemId("row-application.audio.volume");

    //Hiding webserver protocol. IT should be HTTPS and not configurable.
    commonToolsHideElemId("row-httpd.webserver.protocol");

    // Hiding proxy config settings from DOM. NOT IMPLMENETED YET
    commonToolsHideElemId("row-proxy_config.http.enable");
    commonToolsHideElemId("row-proxy_config");

    // Removing wireless settings from DOM. NOT IMPLEMENTED YET
    commonToolsHideElemId("row-wireless-header");
    commonToolsHideElemId("row-wireless-settings");

    // Removing wireless settings from DOM. NOT IMPLEMENTED YET
    commonToolsHideElemId("row-wireless-header");
    commonToolsHideElemId("row-wireless-settings");

    // Remove Syslog Address
    commonToolsRemoveElemId("row-syslogd.remote.ipaddr");

}

function onloadAppSettingsHelpJs() {
    //Remove wireless settings help section from DOM
    commonToolsRemoveElemId("wireless-help");
    
    //Remove proxy settings help section from DOM
    commonToolsRemoveElemId("proxy-help");
}
